package com.ruoyi.device.mqtt.domain.decoder.upgrade;

import com.ruoyi.device.mqtt.domain.BaseBody;

/**
 * 固件版本列表查询上行消息
 */
public class QueryApkListMessage extends BaseBody
{
    private static final long serialVersionUID = 1L;

    /** 目标设备型号 */
    private String targetDeviceType;

    /** 固件类型（1:bootloader; 2:产测; 3:app; 4:lua） */
    private Integer firmwareType;

    public QueryApkListMessage()
    {
        super();
    }

    public String getTargetDeviceType()
    {
        return targetDeviceType;
    }

    public void setTargetDeviceType(String targetDeviceType)
    {
        this.targetDeviceType = targetDeviceType;
    }

    public Integer getFirmwareType()
    {
        return firmwareType;
    }

    public void setFirmwareType(Integer firmwareType)
    {
        this.firmwareType = firmwareType;
    }
}
